import { GraphQLConfig } from 'graphql-config';
import { ParserOptions } from './types.cjs';
import 'eslint';
import 'estree';
import 'graphql';
import 'json-schema-to-ts';
import './estree-converter/types.cjs';
import './siblings.cjs';
import '@graphql-tools/utils';

/**
 * Filepath can be a virtual file, so we need to find the first existing path
 *
 */
declare function getFirstExistingPath(filePath: string): string;
declare function loadOnDiskGraphQLConfig(filePath: string): GraphQLConfig;
declare function loadGraphQLConfig({ graphQLConfig: config, filePath, }: ParserOptions): GraphQLConfig;

export { getFirstExistingPath, loadGraphQLConfig, loadOnDiskGraphQLConfig };
