import { ParserOptions, GraphQLESLintParseResult } from './types.js';
import 'eslint';
import 'estree';
import 'graphql';
import 'graphql-config';
import 'json-schema-to-ts';
import './estree-converter/types.js';
import './siblings.js';
import '@graphql-tools/utils';

declare function parseForESLint(code: string, options: ParserOptions): GraphQLESLintParseResult;
declare const parser: {
    parseForESLint: typeof parseForESLint;
    meta: {
        name: string;
        version: string | undefined;
    };
};

export { parseForESLint, parser };
